# class Renderer

#### package lime.graphics

Available on all platforms

### Constructor

###

`new (window:Window)`

### Variables

###

`context:RenderContext`

###

`onContextLost:Event<Void ‑> Void> = new Event<Void>()`

###

`onContextRestored:Event<RenderContext ‑> Void> = new Event<RenderContext>()`

###

`onRender:Event<Void ‑> Void> = new Event<Void>()`

###

`type:RendererType`

###

`window:Window`

### Methods

###

`create ():Void`

###

`flip ():Void`

###

`readPixels (?rect:Rectangle):Image`